MantisBT

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000571Deviation[All Projects] Generalpublic2014-07-19 23:002016-04-16 16:29
Reportermwm 
Assigned ToIndigo 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionopen 
Summary0000571: Telemetry only partially functional on 200 SR X
DescriptionWhile it's not documented in the quick start guide, the 200 SR X has telemetry. Unfortunately, it's not normal telemetry, but used for tuning the ESC & vibration sensor. You can read the [documentation](https://docs.google.com/a/mired.org/viewer?url=http://www.horizonhobby.com/pdf/BLH2000-Gain_Adjustment.pdf [^]) for that.

In either DSMX or DSM2 mode, the F and H parameters are both 255, not showing the "888" to indicate gain adjustement, or the gain parameter number.

Weird. The link points back to here instead of to https://docs.google.com/a/mired.org/viewer?url=http://www.horizonhobby.com/pdf/BLH2000-Gain_Adjustment.pdf [^]
TagsNo tags attached.
Deviation Version
PlatformAny
Attached Filestxt file icon DSMTelemetryBugFixAnd9999ValueEnhancement.patch.txt [^] (2,942 bytes) 2014-07-19 23:00 [Show Content]

- Relationships

-  Notes
(0000036)
mwm (developer)
2014-07-19 23:03

Add link.
(0000035)
Thomas.Heiss (reporter)
2014-11-30 14:41

http://www.deviationtx.com/forum/protocol-development/1192-dsm-telemetry-support?start=100#26681 [^]
(0000034)
mwm (developer)
2014-12-04 06:02

This patch is from Thomas Heiss via the forum post he linked to. I've verified that it does indeed solve the problems with the 200 SRX telemetry. Nice to see it working, even if I hardly ever use it.
(0001541)
Thomas.Heiss (reporter)
2016-04-12 10:35

Please re-test on 200SRX and close.


Pull Request 43: https://bitbucket.org/deviationtx/deviation/pull-requests/43/dsm-telemetry-update [^]

Fixed by 6fde793 2015-04-25 in trunk/default by PullRequest 43: https://bitbucket.org/deviationtx/deviation/commits/6fde793459afe5c317242fd2d36a89d058032eed [^]

Fixed in dsm-telemtry branch starting b43f998 and 2c27d1c.


Do N O T use for telemetry any nightly-build (or 4.0.1 stable) before 572e350 dated 2015-04-20.

Necessary RF channel fix after CYRF reset: https://bitbucket.org/deviationtx/deviation/commits/572e35029ea8f5654660da07ab84befd1d48ae9a [^]


I have been successfully flying (testing flightlog telemetry) Spektrum DSMx@100mw since nightly build fcd0669: https://bitbucket.org/deviationtx/deviation/commits/fcd0669192f002b19e9d0194b07111d33db09bff [^]


Forum successful report nightly build fcd0669: http://www.deviationtx.com/forum/protocol-development/1192-dsm-telemetry-support?screenMode=desktop&start=340#33913 [^]

- Related Changesets
deviation: master de40a967
Timestamp: 2014-11-30 14:38:11
Author: Thomas.Heiss
Details ] Diff ]
DSM telemetry flightlog (issue 0000590 field mapping bugfix and max "9999" number enhancement)
- fixed bug 0000590: overwriting struct elements in flightlog protocol mapping from read packet
- change numbers from max "255" to "9999" for 7-8CH+ RX, 200SRX/180CFX gain tweaking
(see issue 0000571: https://bitbucket.org/PhracturedBlue/deviation/issue/571/telemetry-only-partially-functional-on-200, [^]
see DeviationTX forum: http://www.deviationtx.com/forum/protocol-development/1192-dsm-telemetry-support?start=100#26681 [^])
mod - src/protocol/dsm2_cyrf6936.c Diff ] File ]
mod - src/telemetry.h Diff ] File ]
mod - src/telemetry/telem_dsm.c Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-07-19 23:00 mwm New Issue
2014-07-19 23:00 mwm File Added: DSMTelemetryBugFixAnd9999ValueEnhancement.patch.txt
2014-07-19 23:03 mwm Note Added: 0000001
2014-11-30 14:41 Thomas.Heiss Note Added: 0000001
2014-12-04 06:02 mwm Note Added: 0000001
2015-03-02 06:56 Indigo Assigned To => Indigo
2015-03-02 06:56 Indigo Status new => assigned
2016-04-12 10:35 Thomas.Heiss Note Added: 0001541
2016-04-16 16:29 Thomas.Heiss Changeset attached => deviation master de40a967


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker